## clamav 0.99+dfsg

=== libclamav/c++/llvm/lib/Analysis/Makefile ===
##===- lib/Analysis/Makefile -------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
LIBRARYNAME = LLVMAnalysis
DIRS = IPA
BUILD_ARCHIVE = 1

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/Target/CMakeLists.txt ===
add_llvm_library(LLVMTarget
  Mangler.cpp
  SubtargetFeature.cpp
  Target.cpp
  TargetAsmLexer.cpp
  TargetData.cpp
  TargetELFWriterInfo.cpp
  TargetFrameInfo.cpp
  TargetInstrInfo.cpp
  TargetIntrinsicInfo.cpp
  TargetLoweringObjectFile.cpp
  TargetMachine.cpp
  TargetRegisterInfo.cpp
  TargetSubtarget.cpp
  )

=== libclamav/c++/llvm/utils/TableGen/CMakeLists.txt ===
add_executable(tblgen
  ARMDecoderEmitter.cpp
  AsmMatcherEmitter.cpp
  AsmWriterEmitter.cpp
  AsmWriterInst.cpp
  CallingConvEmitter.cpp
  ClangASTNodesEmitter.cpp
  ClangAttrEmitter.cpp
  ClangDiagnosticsEmitter.cpp
  CodeEmitterGen.cpp
  CodeGenDAGPatterns.cpp
  CodeGenInstruction.cpp
  CodeGenTarget.cpp
  DAGISelEmitter.cpp
  DAGISelMatcherEmitter.cpp
  DAGISelMatcherGen.cpp
  DAGISelMatcherOpt.cpp
  DAGISelMatcher.cpp
  DisassemblerEmitter.cpp
  EDEmitter.cpp
  FastISelEmitter.cpp
  InstrEnumEmitter.cpp
  InstrInfoEmitter.cpp
  IntrinsicEmitter.cpp
  LLVMCConfigurationEmitter.cpp
  NeonEmitter.cpp
  OptParserEmitter.cpp
  Record.cpp
  RegisterInfoEmitter.cpp
  SubtargetEmitter.cpp
  TGLexer.cpp
  TGParser.cpp
  TGValueTypes.cpp
  TableGen.cpp
  TableGenBackend.cpp
  X86DisassemblerTables.cpp
  X86RecognizableInstr.cpp
  )

target_link_libraries(tblgen LLVMSupport LLVMSystem)
if( MINGW )
  target_link_libraries(tblgen imagehlp psapi)
endif( MINGW )
if( LLVM_ENABLE_THREADS AND HAVE_LIBPTHREAD AND NOT BEOS )
  target_link_libraries(tblgen pthread)
endif()

=== debian/changelog ===
clamav (0.99+dfsg-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 25 Jan 2016 15:37:38 -0800

clamav (0.99+dfsg-1) unstable; urgency=medium

  * Import final release of 0.99
  * suggest libclamunrar7 instead of libclamunrar6

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 05 Dec 2015 00:06:53 +0100

clamav (0.99~rc2+dfsg-2) experimental; urgency=medium

  * Drop LLVM usage on powerpc (it is broken since the v3.6 switch).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 01 Dec 2015 20:55:56 +0100

clamav (0.99~rc2+dfsg-1) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Import first upstream release candidate for 0.99.
  * Drop patches included upstream:
     - Avoid-emitting-incremental-progress-messages.patch
     - bb-10731-Allow-to-specificy-a-group-for-the-socket.patch
     - clamav-milter-add-additinal-SMFIF_-flags.patch
     - remove-unnecessary-harmful-flags-from-libclamav.pc.patch
     - hardcode-LLVM-linker-flag.patch
  * Disable Large File Support because it is incompatible with fts.h, which
    is required by the new upstream release.
  * Drop patches needing LFS:
     - libclamav-use-libmspack.patch
     - fix-ssize_t-size_t-off_t-printf-modifier.patch
  * Disable valgrind in the test suite again. It is too flaky.
  * Print all new options in one build attempt.
  * Preserve new OnAccessMountPath, OnAccessDisableDDD and OnAccessPrevention
    options in clamd.conf.
  * Rename libclamav6 to libclamav7 and update symbols file.
  * Add -Wl,--as-needed to LDFLAGS to avoid useless dependencies.
  * Remove unused lintian overrides.
  * Update debian/copyright.

  [ Sebastian Andrzej Siewior ]
  * add a LFS safe fts() implementation from glibc
  * bring back libmspack related patches (libclamav-use-libmspack.patch +
    fix-ssize_t-size_t-off_t-printf-modifier.patch) and -D_FILE_OFFSET_BITS=64
  * fix a crash in clamdscan if file is passed via fd
  * Import second upstream release candidate for 0.99.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 21 Nov 2015 21:41:24 +0100

clamav (0.99~beta1+dfsg-1) experimental; urgency=medium

  *  use T=<timeout> so we can drop
     unit_tests-increment-test-timeout-from-40secs-to-5mi from the patch queue.
  * import new beta from upstream
  * depend on libpcre3-dev, required for YARA support
  * add new PCRE related options postist script for clamd
  * record new symbols in libclamav6.symbols
  * enable valgrind in the test suite and see how well it works across all
    architecures.
  * Update debian/copyright.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 22 Jul 2015 21:52:48 +0200

clamav (0.98.7+dfsg-5) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Drop patch numbers, because they cause too much diff noise.
  * Fix use-pkg-config-to-determine-CHECK_LIBS.patch so that the tests
    actually get run again.

  [ Sebastian Andrzej Siewior ]
  * Drop LLVM usage on powerpc (it is broken since the v3.6 switch).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 01 Dec 2015 20:58:20 +0100

clamav (0.98.7+dfsg-4) unstable; urgency=medium

  * Add patch to support LLVM 3.6.
  * debian/clamav-milter.postinst.in: Update to reflect the change from
    examples/clamav-milter.conf to examples/clamav-milter.conf.sample.
    Thanks to Christian Schrötter. (Closes: #795190)
  * Use 'grep -a' instead of grep in maintainer scripts. (Closes: #799808)
  * Restore the SE Linux context when creating /var/lib/ucf/cache.
    Thanks to Russell Coker for the patch. (Closes: #802311)
  * Adapt debian/watch to new download location www.clamav.net/download.html.
  * Add patch to use pkg-config to determine CHECK_LIBS.
    The linker flags for check changed making the hardcoded flags useless.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 25 Oct 2015 19:35:51 +0100

clamav (0.98.7+dfsg-3) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * use T=<timeout> so we can drop
    unit_tests-increment-test-timeout-from-40secs-to-5mi from the patch queue.
  * add 0013-tfm-fix-compile-errors.patch and
    0014-tfm-duct-tape-misscompile-on-armhf.patch to get it built on armhf
    with gcc-5.

  [ Andreas Cadhalpun ]
  * Prevent the logrotate scripts from aborting if reloading/restarting fails.
    Thanks to John Zaitseff. (Closes: #788652)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 14 Aug 2015 08:55:16 +0200

clamav (0.98.7+dfsg-2) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Increase MaxRecursion to the upstream default of 16. (Closes: #787249)
  * Bump the version for the PidFile removal check in the clamav-daemon and
    clamav-freshclam postinst scripts (Closes: #767353)
  * Add database existence check also to clamav-daemon.socket.
    This works around systemd bug #775458. (Closes: #775112)

  [ Sebastian Andrzej Siewior ]
  * also remove debian/clamav-freshclam.prerm clean

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 13 Jun 2015 15:11:41 +0200

clamav (0.98.7+dfsg-1) unstable; urgency=high

  [ Andreas Cadhalpun ]
  * Use SocketUser, SocketGroup and RemoveOnStop systemd socket options
    instead of using ExecStartPost and ExecStopPost for that.
  * Respect clamav-daemon's LocalSocket* options with the systemd unit by
    extending the clamav-daemon.socket file appropriately, when running
    dpkg-reconfigure clamav-daemon. (Closes: #783720)
  * Disable this extendend configuration, when handling the configuration
    file with debconf is disabled.
  * Disable clamav-daemon.socket in prerm script.

  [ Sebastian Andrzej Siewior ]
  * Import new upstream:
    - Improvements to PDF processing: decryption, escape sequence
      handling, and file property collection.
    - Scanning/analysis of additional Microsoft Office 2003 XML format.
    - Fix infinite loop condition on crafted y0da cryptor file. Identified


=== debian/control ===
Source: clamav
Section: utils
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Stephen Gran <sgran@debian.org>,
           Michael Meskes <meskes@debian.org>,
           Michael Tautschnig <mt@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
           Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
Build-Depends: automake,
               bc,
               check,
               debhelper (>= 8.9.7),
               dh-autoreconf,
               dh-systemd,
               electric-fence,
               libbz2-dev,
               libcurl4-openssl-dev,
               libjson-c-dev | libjson0-dev,
               libltdl-dev,
               libmilter-dev,
               libmspack-dev,
               libncurses5-dev,
               libpcre3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libtommath-dev,
               libxml2-dev,
               llvm-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
               perl,
               pkg-config,
               po-debconf,
               python,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-clamav/clamav.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/clamav.git
Homepage: http://www.clamav.net/

Package: clamav-base
Architecture: all
Depends: adduser, logrotate, ucf, ${misc:Depends}
Recommends: clamav
Description: anti-virus utility for Unix - base package
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package mainly manages the clamav system account. It is not really
 useful without the clamav or clamav-daemon package.

Package: clamav-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - documentation
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the documentation for the ClamAV suite.

Package: clamav-dbg
Architecture: any
Depends: clamav (= ${binary:Version}),
         libclamav7,
         ${misc:Depends}
Priority: extra
Section: debug
Description: debug symbols for ClamAV
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the stripped debugging symbols for the ClamAV suite.

Package: clamav
Architecture: any
Multi-Arch: foreign
Depends: clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamav-base
Suggests: clamav-docs
Description: anti-virus utility for Unix - command-line interface
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the command line interface. Features:
  - built-in support for various archive formats, including Zip, Tar,
    Gzip, Bzip2, OLE2, Cabinet, CHM, BinHex, SIS and others;
  - built-in support for almost all mail file formats;
  - built-in support for ELF executables and Portable Executable files
    compressed with UPX, FSG, Petite, NsPack, wwpack32, MEW, Upack and
    obfuscated with SUE, Y0da Cryptor and others;
  - built-in support for popular document formats including Microsoft
    Office and Mac Office files, HTML, RTF and PDF.
 .
 For scanning to work, a virus database is needed. There are two options
 for getting it:
  - clamav-freshclam: updates the database from Internet. This is
    recommended with Internet access.
  - clamav-data: for users without Internet access. The package is
    not updated once installed. The clamav-getfiles package allows
    creating custom packages from an Internet-connected computer.

Package: libclamav-dev
Section: libdevel
Architecture: any
Depends: libbz2-dev,
         libc6-dev | libc-dev,
         libclamav7 (= ${binary:Version}),
         libidn11-dev,
         libssl-dev,
         libtommath-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: anti-virus utility for Unix - development files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 The package contains the needed headers and libraries for
 developing software using the libclamav interface.
 .
 This library can be used to develop virus scanner applications.

Package: libclamav7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libclamunrar7
Description: anti-virus utility for Unix - library
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 For programs written using the libclamav library. Libclamav may be used to add
 virus protection into software. The library is thread-safe, and automatically
 recognizes and scans archives. Scanning is very fast and most of the time
 not noticeable.

Package: clamav-daemon
Architecture: any
Depends: adduser,
         clamav-base (= ${source:Version}),
         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         dpkg (>= 1.16.1),
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamdscan
Suggests: apparmor, clamav-docs, daemon [!hurd-any]
Breaks: clamav-base (<< 0.98.1+dfsg-6)
Replaces: clamav-base (<< 0.98.1+dfsg-6)
Description: anti-virus utility for Unix - scanner daemon
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the daemon featuring:
  - fast, multi-threaded daemon;
  - easy integration with MTA's;
  - support for on-access scanning;
  - remote scanning;
  - able to be run supervised by daemon.

Package: clamdscan
Architecture: any
Depends: clamav-base (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: clamd (<< 0.98.5~beta1+dfsg-3)
Replaces: clamd (<< 0.98.5~beta1+dfsg-3)
Suggests: clamav-daemon, clamav-docs
Description: anti-virus utility for Unix - scanner client
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains clamdscan, the command line interface of the clamav
 daemon.

Package: clamav-testfiles
Architecture: all
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - test files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains files 'infected' with a test signature. The test
 signature (ClamAV-Test-Signature) should be detectable by all
 anti-virus programs.

Package: clamav-freshclam
Architecture: any
Conflicts: clamav-data, libclamav2, libclamav3
Provides: clamav-data
Suggests: apparmor, clamav-docs
Depends: clamav-base (>= ${source:Version}),
         dpkg (>= 1.16.1),
         logrotate,
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: anti-virus utility for Unix - virus database update utility
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the freshclam program and scripts to automate virus
 database updating. It relies on an Internet connection, but can be
 run in a variety of ways to compensate for intermittent connections.

Package: clamav-milter
Architecture: any
Suggests: clamav-docs, daemon [!hurd-any]
Priority: extra
Recommends: clamav-daemon
Depends: adduser,
         clamav-base (>= ${source:Version}),
         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         dpkg (>= 1.16.1),
         logrotate,
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: anti-virus utility for Unix - sendmail integration
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .

=== debian/rules ===
#! /usr/bin/make -f

# Comment this out to turn off verbose mode.
#export DH_VERBOSE=1

# Automake 1.14 warns about not using subdir-objects,
# but using this option breaks the build, see:
#    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16375
#    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13928
# The following variables can be used to override the automake/aclocal versions.
#export AUTOMAKE = automake
#export ACLOCAL = aclocal

# This is needed to work around arch-specific quirks in the test suite.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Get the hardening build flags and enable all compiler warnings:
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) -Wall -D_FILE_OFFSET_BITS=64
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -Wall -D_FILE_OFFSET_BITS=64
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# LLVM is only used on these archs, so no point in enabling it elsewhere
# To add new llvm/jit archs add it here and to the arch list for llvm-dev in
# debian/control.
# PowerPC is disabled until atleast llvm-3.8. As thing stand now MCJIT is
# broken in llvm-3.6. llvm v3.8 looks promissing but needs to be verified.
ifeq (,$(filter $(DEB_HOST_ARCH), i386 amd64 kfreebsd-amd64 kfreebsd-i386))
  export enable_llvm=no
else
  # The llvm in squeeze (Debian 6) is older than the internal copy, so don't use it.
  ifeq ($(shell cut -c1 /etc/debian_version),6)
    SYSTEM_LLVM =
  else
    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config --with-llvm-linking=dynamic
  endif
endif

# Set the configure options:
#	* add the build flags
#	* set various paths
#	* disable test for clamav user/group (--disable-clamav)
#	* disable building of the non-free libclamunrar (--disable-unrar)
#	* build clamav-milter (--enable-milter)
#	* enable workaround for broken DNS servers (--enable-dns-fix)
#	* assume the C compiler uses GNU ld (--with-gnu-ld)
#	* use system libraries instead of the embedded copies (--with-system-tommath, --without-included-ltdl, -with-system-llvm=/usr/bin/llvm-config)
CONFIG := CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	--with-dbdir=/var/lib/clamav --sysconfdir=/etc/clamav \
	--disable-clamav --disable-unrar --enable-milter --enable-dns-fix \
	--with-libjson \
	--with-gnu-ld $(SYSTEM_LLVM) \
	--with-systemdsystemunitdir=/lib/systemd/system

DEBUG_OPTS=

# Enable debug code, if nostrip was given.
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
else
	DEBUG_OPTS += --enable-debug
endif

# The autotools in squeeze (Debian 6) are too old, so don't use autoreconf.
# And don't use systemd.
ifeq ($(shell cut -c1 /etc/debian_version),6)
  AUTORECONF =
  SYSTEMD =
else
ifeq ($(shell cut -c1 /etc/debian_version),7)
  AUTORECONF = --with autoreconf
  SYSTEMD =
else
  AUTORECONF = --with autoreconf
  SYSTEMD = --with systemd
endif
endif

# Use the default debhelper scripts, where possible.
# Enable parallel building and conditionally autoreconf and systemd.
%:
	dh $@ --parallel $(AUTORECONF) $(SYSTEMD)

override_dh_auto_configure:
	$(info DEB_BUILD_OPTIONS = $(DEB_BUILD_OPTIONS))
	$(info CFLAGS = $(CFLAGS))
	$(info CXXFLAGS = $(CXXFLAGS))
	$(info CPPFLAGS = $(CPPFLAGS))
	$(info LDFLAGS = $(LDFLAGS))
	# Check for unknown options in the configuration files.
	egrep '^#[[:alpha:]]' etc/clamd.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-daemon.postinst.in ; then \
	    echo "Unhandled option(clamd.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	egrep '^#[[:alpha:]]' etc/freshclam.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-freshclam.postinst.in ; then \
	    echo "Unhandled option (freshclam.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	egrep '^#[[:alpha:]]' etc/clamav-milter.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-milter.postinst.in ; then \
	    echo "Unhandled option (clamav-milter.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	[ ! -f debian/exit ] || (rm debian/exit && exit 1)
	# Configure using the specified flags.
	dh_auto_configure -- $(CONFIG) $(DEBUG_OPTS)

override_dh_auto_clean:
	# Update .po files for debconf.
	debconf-updatepo
	dh_auto_clean

clamav_build-indep:
	# Add common functions in config and postinst files.
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-base.postinst.in > debian/clamav-base.postinst

clamav_build-arch:
	# Add common functions in config and postinst files.
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.init.in > debian/clamav-milter.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.config.in > debian/clamav-milter.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.postinst.in > debian/clamav-milter.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.config.in > debian/clamav-daemon.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.postinst.in > debian/clamav-daemon.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.init.in > debian/clamav-daemon.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.init.in > debian/clamav-freshclam.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.config.in > debian/clamav-freshclam.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.postinst.in > debian/clamav-freshclam.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.prerm.in > debian/clamav-freshclam.prerm

# override_dh_auto_build-{indep,arch} doesn't work in squeeze (Debian 6).
ifeq ($(shell cut -c1 /etc/debian_version),6)
override_dh_auto_build: clamav_build-indep clamav_build-arch
	# Build all files.
	dh_auto_build -- V=1
else
override_dh_auto_build-indep: clamav_build-indep
	# Build architecture-independent files.
	dh_auto_build -i -- V=1

override_dh_auto_build-arch: clamav_build-arch
	# Build architecture-dependent files.
	dh_auto_build -a -- V=1
endif

override_dh_auto_test:
ifneq (,$(filter ia64 sparc, $(DEB_HOST_ARCH)))
	T=900 dh_auto_test -- EF_ALIGNMENT=8 V=1 VERBOSE=1
else
	T=900 dh_auto_test -- V=1 VERBOSE=1
endif

override_dh_strip:
	# Move the debug symbols to the debug package:
	dh_strip --dbg-package=clamav-dbg

override_dh_installinit:
	dh_installinit -pclamav-daemon
	# Don't change the postinst/postrm scripts for clamav-freshclam, as they need non-standard code.
	dh_installinit -pclamav-freshclam --noscripts
	dh_installinit -pclamav-milter

override_dh_installdocs-indep:
	dh_installdocs
	# Make the .rar test files which are no longer created
	cat test/.split/split.clam-v2.raraa test/.split/split.clam-v2.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v2.rar
	cat test/.split/split.clam-v3.raraa test/.split/split.clam-v3.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v3.rar

# Install the upstream ChangeLog.
override_dh_installchangelogs:
	dh_installchangelogs -pclamav-base ChangeLog
	dh_installchangelogs -pclamav-daemon ChangeLog
	dh_installchangelogs -pclamav-dbg ChangeLog
	dh_installchangelogs -pclamav-docs ChangeLog
	dh_installchangelogs -pclamav-freshclam ChangeLog
	dh_installchangelogs -pclamav-milter ChangeLog
	dh_installchangelogs -pclamav-testfiles ChangeLog
	dh_installchangelogs -pclamav ChangeLog
	dh_installchangelogs -pclamdscan ChangeLog
	dh_installchangelogs -plibclamav-dev ChangeLog
	dh_installchangelogs -plibclamav7 ChangeLog

## clamav 0.99.2%2baddedllvm

=== debian/changelog ===
clamav (0.99.2+addedllvm-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted e-mail message
    - debian/patches/CVE-2017-6418.patch: fix invalid read in
      libclamav/message.c.
    - CVE-2017-6418
  * SECURITY UPDATE: DoS and possible code execution via crafted CHM file
    - debian/patches/CVE-2017-6419.patch: fix OOB write in
      libclamav/mspack.c.
    - CVE-2017-6419
  * SECURITY UPDATE: DoS via WWPack compression
    - debian/patches/CVE-2017-6420.patch: add bounds checks to
      libclamav/wwunpack.c.
    - debian/patches/CVE-2017-6420-2.patch: fix unit tests in
      libclamav/wwunpack.c, unit_tests/check_jsnorm.c.
    - CVE-2017-6420

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Aug 2017 13:13:56 -0400

clamav (0.99.2+addedllvm-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.99.2 to fix multiple security issues
    - CVE-2016-1371
    - CVE-2016-1372
    - CVE-2016-1405
  * Removed patches no longer required
    - 0003-unit_tests-increment-test-timeout-from-40secs-to-5mi.patch
    - 0006-remove-unnecessary-harmful-flags-from-libclamav.pc.patch
    - 0010-hardcode-LLVM-linker-flag-because-llvm-config-return.patch
    - 0018-llvm-don-t-use-system-libs.patch
  * debian/clamav-base.postinst.in: updated to handle new options
    - OnAccessMountPath
    - OnAccessDisableDDD
    - OnAccessPrevention
    - OnAccessExtraScanning
    - PCREMatchLimit
    - PCRERecMatchLimit
    - PCREMaxFileSize
    - ScanXMLDOCS
    - ScanHWP3
    - MaxRecHWP3
  * debian/*: rename libclamav6 to libclamav7.
  * debian/control: add libpcre3-dev to Build-Depends as new signatures
    rely on PCRE support.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Sep 2016 14:34:14 -0400

clamav (0.98.7+dfsg-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.98.7 to fix multiple issues
    - CVE-2015-2170
    - CVE-2015-2221
    - CVE-2015-2222
    - CVE-2015-2305
    - CVE-2015-2668
  * Refreshed patches for 0.98.7:
    - d/p/0010-hardcode-LLVM-linker-flag-because-llvm-config-return.patch
    - d/p/0018-llvm-don-t-use-system-libs.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 May 2015 15:47:25 -0400

clamav (0.98.6+dfsg-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.98.6 to fix security issues, including CVE-2014-9328.
  * Removed upstreamed patches:
    - d/p/0002-Add-an-additional-n-after-the-number-in-the-pidfile.patch
    - d/p/0017-Bump-.so-version-number.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Jan 2015 08:53:43 -0500

clamav (0.98.5+addedllvm-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.98.5 to fix security issues, including CVE-2013-6497.
  * Removed patches no longer needed:
    - d/p/0002-Sebastian-Andrzej-Siewior.patch
    - d/p/0003-configure-use-pkg-config-for-check-so-test-is-detect.patch
    - d/p/0004-Stop-using-a-cargo-culted-syscall-table-and-trust-th.patch
    - d/p/0005-configure.ac-patches-to-got-with-autoreconf-and-auto.patch
    - d/p/0006-Fix-STAT64-definition-and-add-missing-includes.patch
  * Added patches from vivid to fix FTBFS, .so version and other issues:
    - d/p/0002-Add-an-additional-n-after-the-number-in-the-pidfile.patch
    - d/p/0003-unit_tests-increment-test-timeout-from-40secs-to-5mi.patch
    - d/p/0006-remove-unnecessary-harmful-flags-from-libclamav.pc.patch
    - d/p/0010-hardcode-LLVM-linker-flag-because-llvm-config-return.patch
    - d/p/0017-Bump-.so-version-number.patch
    - d/p/0018-llvm-don-t-use-system-libs.patch
  * debian/clamav-docs.docs: use wildcards, as some docs have changed.
  * debian/clamav-base.postinst.in: added new options.
  * debian/clamav-base.config.in: added new options.
  * debian/clamav-base.templates: added new options.
  * debian/control: added libssl-dev BuildDepends.
  * clamav-testfiles.install: removed rar files.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Nov 2014 14:29:18 -0500

clamav (0.98.1+dfsg-4ubuntu1.1) trusty-proposed; urgency=medium

  [ Tyler Hicks ]
  * debian/usr.bin.freshclam: Grant freshclam permission to read and write the
    clamd socket. AppArmor requires both permissions when applications connect
    to path-based UNIX domain sockets. (LP: #1313282)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 28 Apr 2014 17:29:57 -0400
